<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "classpath:resources/mybatis-3-config.dtd">


<mapper	namespace="com.mx.dla.dda.contrato.condicionesTransaccion.daos.DeleteCondicionesTransaccionDAO">

	
	<delete id="eliminaContratoPtrsRd">
		DELETE DDA_T_CONTRATO_PTRS_RD WHERE ID_CONTRATO_PTRANS=#{idPtrans}
	</delete>
	
	<delete id="eliminaContratoPtrsCat">
		DELETE DDA_T_CONTRATO_PTRS_CAT WHERE ID_CONTRATO_PTRANS=#{idPtrans}
	</delete>
	
	<delete id="eliminaContratoPtrsCmg">
		DELETE DDA_T_CONTRATO_PT_CMG WHERE ID_CONTRATO_PTRANS=#{idPtrans}
	</delete>
	
	<delete id="eliminaContratoPtrsAnnio">
		DELETE DDA_T_CONTRATO_PT_ANNIO WHERE ID_CONTRATO_PTRANS=#{idPtrans}
	</delete>
	
	<delete id="eliminaContratoPtrsPrecio">
		DELETE DDA_T_CONTRATO_PTRS_PRECIO WHERE ID_CONTRATO_PTRANS=#{idPtrans}
	</delete>
	
	<delete id="eliminaContratoPtrs">
		DELETE DDA_T_CONTRATO_PTRANS WHERE ID_CONTRATO=#{idContrato} AND ID_CONTRATO_PTRANS=#{idPtrans}
	</delete>
</mapper>